{
  "appId": "com.lgucap.dstalk",
  "productName": "DS Talk",
  "asar": true,
  "extraMetadata": {
    "name": "DS Talk"
  },
  "directories": {
    "buildResources": "./config/build/",
    "output": "./dist/electron/"
  },
  "files": [
    "**/*",
    "!**/*.ts",
    "!**/*.scss",
    "!LICENSE.md",
    "!package.json",
    "!package-lock.json",
    "!electron-projects/",
    "!projects/",
    "!.prettierrc",
    "!angular.json",
    "!**/.awcache",
    "!**/.vscode",
    "!config/",
    "!docker/",
    "!tsconfig.json",
    "!tslint.json",
    {
      "filter": ["**/*"],
      "from": "./config/build/${os}/icon/daesang/",
      "to": "./assets/icon/"
    }
  ],
  "protocols": {
    "name": "DS Talk",
    "schemes": ["DS Talk"]
  },
  "publish": {
    "provider": "generic",
    "url": "http://localhost:8099/client-updates/"
  },
  "mac": {
    "target": ["default"],
    "icon": "./config/build/mac/icon/woori.icns"
  },
  "dmg": {
    "title": "DS Talk"
  },
  "win": {
    "target": ["zip", "nsis"],
    "icon": "./config/build/win/icon/daesang/16x16.ico",
    "legalTrademarks": "(c) 2015 lgucap.com",
    "publisherName": "LGCNS",
    "signingHashAlgorithms": ["sha1"],
    "certificateFile": "./config/sign/www.lgcns.com.pfx",
    "certificatePassword": "it15itsm",
    "extraResources": [
      {
        "from": "./config/build/win/bin/AeroAdmin.exe",
        "to": "./bin/AeroAdmin.exe"
      }
    ]
  },
  "linux": {
    "target": ["AppImage", "deb", "rpm", "zip", "tar.gz"],
    "icon": "./config/build/linux/icon/woori/"
  },
  "nsis": {
    "oneClick": true,
    "allowToChangeInstallationDirectory": false,
    "perMachine": false,
    "differentialPackage": true,
    "include": "./config/build/win/nsis/installer.nsh"
  }
}
